:root {
    --nb-ecommerce-header-20-bg: var(--nb-color-gray-900);

    --nb-ecommerce-header-20-quick-links-font-size: var(--nb-font-size-11);
    --nb-ecommerce-header-20-quick-links-font-weight: var(--nb-font-regular);
    --nb-ecommerce-header-20-quick-links-color: var(--nb-color-white);
    --nb-ecommerce-header-20-quick-links-hover-color: var(--nb-spec-color);

    --nb-ecommerce-header-20-search-btn-font-size: var(--nb-font-size-16);
    --nb-ecommerce-header-20-search-btn-font-weight: var(--nb-font-regular);
    --nb-ecommerce-header-20-search-btn-color: var(--nb-color-white);
    --nb-ecommerce-header-20-search-btn-border-color: var(--nb-color-white);
    --nb-ecommerce-header-20-search-btn-bg: var(--nb-color-black);
    --nb-ecommerce-header-20-search-btn-hover-color: var(--nb-btn-primary-hover-color);
    --nb-ecommerce-header-20-search-btn-hover-bg: var(--nb-btn-primary-hover-bg);

    --nb-ecommerce-header-20-headlines-bg: var(--nb-color-yellow-100);
    --nb-ecommerce-header-20-headlines-title-font-size: var(--nb-font-size-12);
    --nb-ecommerce-header-20-headlines-title-font-weight: var(--nb-font-regular);
    --nb-ecommerce-header-20-headlines-title-color: var(--nb-text-color-primary);
}

.nb-ecommerce-header-20 {
    background-color: var(--nb-ecommerce-header-20-bg);
}

.nb-ecommerce-header-20 .nb-header-top-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 20px;
    padding-top: 10px;
    padding-bottom: 15px;
}

.nb-ecommerce-header-20 .nb-header-middle-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
    min-height: 65px;
}

.nb-ecommerce-header-20 .nb-header-top-wrapper .nb-menu-mobile-bottom-links {
    display: flex;
    gap: 10px;
}

.nb-ecommerce-header-20 .nb-menu-mobile-bottom-links .nb-link {
    font-size: var(--nb-ecommerce-header-20-quick-links-font-size);
    font-weight: var(--nb-ecommerce-header-20-quick-links-font-weight);
    color: var(--nb-ecommerce-header-20-quick-links-color);
    border-right: var(--nb-border-width) var(--nb-border-style) var(--nb-ecommerce-header-20-quick-links-color);
    padding-right: 10px;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    gap: 5px;
}

.nb-ecommerce-header-20 .nb-menu-mobile-bottom-links .nb-link .nb-img {
    max-width: 12px;
}

.nb-ecommerce-header-20 .nb-menu-mobile-bottom-links .nb-link:hover {
    color: var(--nb-ecommerce-header-20-quick-links-hover-color);
}

.nb-ecommerce-header-20 .wsanimated-arrow {
   display: none;
}

.nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-icons-wrapper {
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: flex-end;
}

.nb-ecommerce-header-20 .nb-header-cart-with-badge-1 .nb-header-cart-label,
.nb-ecommerce-header-20 .nb-header-favorite-with-badge-1 .nb-header-favorite-label {
    display: block;
    color: var(--nb-color-white);
    font-weight: var(--nb-font-medium);
}

.nb-ecommerce-header-20 .nb-header-cart-with-badge-1 .nb-icon,
.nb-ecommerce-header-20 .nb-header-favorite-with-badge-1 .nb-icon {
    color: var(--nb-color-white);
    font-size: var(--nb-font-size-26);
}

.nb-ecommerce-header-20 .nb-header-search-button-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0;
}

.nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-search-button {
    border: var(--nb-border-width) var(--nb-border-style) var(--nb-input-border-color);
    font-size: var(--nb-font-size-16);
    color: var(--nb-input-placeholder-color);
    background-color: var(--nb-color-white);
    display: flex;
    align-items: center;
    padding: 0 12px;
    height: 48px;
    cursor: pointer;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    min-width: 460px;
}

.nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-view-search-btn {
    font-size: var(--nb-ecommerce-header-20-search-btn-font-size);
    font-weight: var(--nb-ecommerce-header-20-search-btn-font-weight);
    color: var(--nb-ecommerce-header-20-search-btn-color);
    background-color: var(--nb-ecommerce-header-20-search-btn-bg);
    border: var(--nb-border-width) var(--nb-border-style) var(--nb-ecommerce-header-20-search-btn-border-color);
    border-radius: unset;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 120px;
    gap: 12px;
    padding: 5px;
}

.nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-view-search-btn:hover {
    color: var(--nb-ecommerce-header-20-search-btn-hover-color);
    background-color: var(--nb-ecommerce-header-20-search-btn-hover-bg);

}

.nb-ecommerce-header-20 .nb-header-bottom-wrapper {
    background-color: var(--nb-ecommerce-header-20-headlines-bg);
}

.nb-ecommerce-header-20 .nb-header-menu-wrapper {
    margin-top: 13px;
}

.nb-ecommerce-header-20 .nb-header-info-carousel-2 {
    height: 36px;
}

.nb-ecommerce-header-20 .nb-header-info-carousel-2 .nb-slider-item {
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.nb-ecommerce-header-20 .nb-header-info-carousel-2 .nb-slider-item .nb-slider-title {
    font-size: var(--nb-ecommerce-header-20-headlines-title-font-size);
    font-weight: var(--nb-ecommerce-header-20-headlines-title-font-weight);
    color: var(--nb-ecommerce-header-20-headlines-title-color);
    line-height: 1.2;
}

.nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-icons-wrapper,
.nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-logo {
    flex: 1 1 16%;
    max-width: 16%;
}

.nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-search-wrapper {
    flex: 1 1 68%;
    max-width: 68%;
    margin: auto;
    position: relative;
}

body.open-search .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-search-wrapper {
    margin: 0;
    min-height: 48px;
}

body.open-search .nb-ecommerce-header-20 .nb-header-search-button-wrapper {
    display: none;
}

body.open-search .nb-ecommerce-header-20 .nb-horizontal-navigation-8 {
    opacity: 0;
    pointer-events: none;
}

body:not(.open-search) .nb-ecommerce-header-20 #searchHolder {
    display: none;
}
.nb-ecommerce-header-20 .nb-mobile-menu-open-wrapper {
    display: none;
}
.nb-search-icon-4 .nb-search-input-wrapper .nb-search-input::placeholder {
    color: var(--nb-color-gray-800);
}
.nb-ecommerce-header-20 .nb-logo-mobile {
    display: none;
}
@media screen and (min-width: 992px) {
    .nb-ecommerce-header-20 .nb-search-button .nb-icon {
        display: none;
    }
}

@media screen and (min-width: 1440px) {
    .nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-search-button {
        min-width: 545px;
    }
}

@media screen and (max-width: 1200px) {
    .nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-search-button {
        min-width: 400px;
    }
}

@media screen and (max-width: 992px) {
    :root {
        --nb-ecommerce-header-20-headlines-title-font-size: var(--nb-font-size-12);
    }

    .nb-ecommerce-header-20 .nb-header-top-wrapper {
        display: none;
    }

    .nb-ecommerce-header-20 .wsanimated-arrow {
        display: flex;
        justify-content: center;
        padding-right: 5px;
        margin-left: 20px;
    }

    .nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-view-search-btn {
        display: none;
    }

    .nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-search-button {
        min-width: unset;
        height: unset;
        border: unset;
        padding: unset;
        background-color: unset;
        display: flex;
        align-items: center;
        flex-direction: column-reverse;
        gap: 5px;
    }

    .nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-search-button .custom-text {
        font-size: var(--nb-font-size-13);
        color: var(--nb-color-white);
        font-weight: var(--nb-font-medium);
    }

    .nb-ecommerce-header-20 .nb-header-search-button-wrapper .nb-search-button .nb-icon {
        font-size: var(--nb-font-size-20);
        color: var(--nb-color-white);
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper {
        padding: 0 20px 0 10px;
        min-height: 74px;
        max-width: 100%;
        margin: 0;
    }

    .nb-ecommerce-header-20 .nb-mobile-menu-open-wrapper {
        display: block;
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-favorite-with-badge-1 {
        display: none;
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-icons-wrapper,
    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-logo,
    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-search-wrapper {
        max-width: unset;
        flex: unset;
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-icons-wrapper {
        order: 3;
        width: 40%;
        gap: 25px;
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-logo {
        order: 2;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper .wsanimated-arrow {
        order: 0;
    }

    .nb-ecommerce-header-20 .nb-header-middle-wrapper .nb-header-search-wrapper {
        order: 1;
        margin: 0;
        padding-left: 65px;
    }

    .nb-ecommerce-header-20 .nb-header-menu-wrapper {
        min-height: unset;
        margin-top: 0;
    }

    .nb-ecommerce-header-20 .nb-logo .nb-img {
        max-width: 120px;
    }

    .nb-ecommerce-header-20 .nb-open-menu-label {
        color: #fff;
        font-size: 13px;
        top: 18px;
        position: relative;
    }
    .nb-ecommerce-header-20 .nb-mobile-logo-hidden.nb-logo {
        display: none;
    }
    .nb-ecommerce-header-20 .nb-logo-mobile {
        display: block;
        order: 2;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        max-width: 45px;
    }
}